> For the complete documentation index, see [llms.txt](https://glyue.docs.sandboxbanking.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://glyue.docs.sandboxbanking.com/tutorials/building-a-retrieval-api-against-fis-codeconnect/6.-common-errors.md).

# 6. Common Errors

Here are some common errors and resolutions you may run into when testing the CodeConnect integration.

### IntegrationConfig matching query does not exist:

{% code fullWidth="true" %}

```
Traceback (most recent call last):
  File "/glyue/django_glyue_app/integration_engine.py", line 403, in _validate_integration
    models.IntegrationConfig.objects.get(integration=integration)
  File "/usr/local/lib/python3.8/dist-packages/django/db/models/manager.py", line 85, in manager_method
    return getattr(self.get_queryset(), name)(*args, **kwargs)
  File "/usr/local/lib/python3.8/dist-packages/django/db/models/query.py", line 435, in get
    raise self.model.DoesNotExist(
django_glyue_app.models.IntegrationConfig.DoesNotExist: IntegrationConfig matching query does not exist.

```

{% endcode %}

To solve this error, please create an IntegrationConfig record as explained in [Integration Setup.](/tutorials/building-a-retrieval-api-against-fis-codeconnect/1.-integration-setup.md)

***

### customerNumber is not defined:

{% code fullWidth="true" %}

```
Traceback (most recent call last):
  File "/glyue/django_glyue_app/integration_engine.py", line 1287, in _apply_fieldmapping
    value = self.eval_formula(value)
  File "/glyue/django_glyue_app/integration_engine.py", line 1651, in eval_formula
    return eval(formula, namespace)
  File "<string>", line 1, in <module>
NameError: name 'customerNumber' is not defined
```

{% endcode %}

To solve this error, ensure that you've followed the steps in [Integration and Service Request Hook Setup](/tutorials/building-a-retrieval-api-against-fis-codeconnect/4.-integration-and-service-request-hook-setup.md); specifically, ensure that you are setting the variable `customerNumber` to a defined value and using `keep()` to make it useable within the Field Mapping Table.

***

### Failed to load adapter configuration for CODECONNECT.IBS:

{% code fullWidth="true" %}

```
Traceback (most recent call last):
  File "/glyue/django_glyue_app/integration_engine.py", line 1396, in _execute_request
    adapter.load_adapter_config()
  File "/glyue/django_glyue_app/adapters/__init__.py", line 93, in load_adapter_config
    raise ObjectDoesNotExist(f"No active adapter config bound to integration")
django.core.exceptions.ObjectDoesNotExist: No active adapter config bound to integration

```

{% endcode %}

To solve this error, ensure that you've created an Adapter Config Binding between the integration you are testing and the CodeConnect Adapter Config as explained in [Integration Setup](/tutorials/building-a-retrieval-api-against-fis-codeconnect/1.-integration-setup.md).

***

###


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://glyue.docs.sandboxbanking.com/tutorials/building-a-retrieval-api-against-fis-codeconnect/6.-common-errors.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
